/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Colon Non Lesion Object Type
 */
public enum EnumCV_ColonNonLesionObjectType {

	//Colon Non Lesion Object Type - CID 6203
	BULLET_A_32110("A-32110"),
	STAPLE_A_13600("A-13600"),
	SUTURE_MATERIAL_A_13510("A-13510"),
	SCAR_TISSUE_M_78060("M-78060"),
	CATHETER_A_26800("A-26800"),
	CHEST_TUBE_112173("112173"),
	VENA_CAVA_FILTER_A_14611("A-14611"),
	PROSTHESIS_A_04000("A-04000"),
	JEJUNOSTOMY_TUBE_A_26434("A-26434"),
	KIDNEY_STENT_112175("112175"),
	URETERAL_STENT_A_11C08("A-11C08"),
	PANCREATIC_STENT_112176("112176"),
	JEWELRY_A_61000("A-61000"),
	COIN_112178("112178"),
	PIN_A_12024("A-12024"),
	NEEDLE_A_30360("A-30360"),
	FIDUCIAL_MARK_112171("112171"),
	COLOSTOMY_SET_A_120DD("A-120DD"),
	COLOSTOMY_BAG_A_10DBC("A-10DBC"),
	ILEOSTOMY_SET_A_1009E("A-1009E"),
	ILEOSTOMY_BAG_A_10029("A-10029"),
	UROSTOMY_SET_A_10703("A-10703"),
	UROSTOMY_BAG_A_105E3("A-105E3"),
	RECTAL_TUBE_A_26440("A-26440"),
	URETHRAL_CATHETER_A_26864("A-26864");

	private String value;

	EnumCV_ColonNonLesionObjectType(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
